insmod biosdisk
insmod pc
insmod font
insmod vbe
insmod gfxterm
insmod videotest
insmod tga
insmod png
insmod gfxmenu

#menuviewer="text"
menuviewer="gfxmenu"

#gfxmode="1024x768"
gfxmode="640x480"

# Set the initial gfxmenu theme.
#theme="/boot/grub/themes/ubuntu2/theme.txt"
#theme="/boot/grub/themes/ubuntu1/theme.txt"
theme="/boot/grub/themes/winter/theme.txt"
#theme="/boot/grub/themes/proto/theme.txt"
#theme="/boot/grub/themes/ubuntuglow/theme.txt"; gfxmode="1024x768"

# Choose the font for gfxterm.
gfxterm_font="Fixed Regular 12"

####################
#### BEGIN MENU ####

timeout=8
default="3"
fallback="2 1"

menuentry "OpenSUSE" --class opensuse --class linux --class os {
  echo "OpenSUSE: Press Enter."
  read
}
menuentry "Gentoo Linux" --class gentoo --class linux --class os {
  echo "Gentoo: Press Enter."
  read
}
menuentry "Ubuntu 8.04" --class ubuntu --class linux --class os {
  echo "Ubuntu: Press Enter."
  read
}
menuentry "Kubuntu 8.04" --class kubuntu --class linux --class os {
  echo "Kubuntu: Press Enter."
  read
}
menuentry "Linux Mint" --class linuxmint --class linux --class os {
  echo "Linux Mint: Press Enter."
  read
}
menuentry "Sabayon" --class sabayon --class linux --class os {
  echo "Gentoo: Press Enter."
  read
}
menuentry "Debian" --class debian --class linux --class os {
  echo "Debian: Press Enter."
  read
}
menuentry "Windows XP" --class "windows xp" --class windows --class os {
  echo "Windows XP: Press Enter."
  read
}
# Chinese & UTF-8 test from Carbon Jiao.
menuentry "从硬盘的第一主分区启动" --class "windows xp" --class windows --class os {
  echo "Windows XP, Chinese UTF-8 menu item test: Press Enter."
  read
}
menuentry "Bitmap graphics test" {
  videotest -d bitmaps
}
menuentry "Switch to text menu" {
  set menuviewer="text"
}
menuentry "Switch to graphical menu" {
  set menuviewer="gfxmenu"
}

####  END MENU  ####
####################

# Load fonts.
# Generated with:
#  ls *.pf2 | perl -pe 's{^}{loadfont /boot/grub/fonts/}'
loadfont /boot/grub/fonts/10x20.pf2
loadfont /boot/grub/fonts/4x6.pf2
loadfont /boot/grub/fonts/5x7.pf2
loadfont /boot/grub/fonts/5x8.pf2
loadfont /boot/grub/fonts/6x10.pf2
loadfont /boot/grub/fonts/6x12.pf2
loadfont /boot/grub/fonts/6x13B.pf2
loadfont /boot/grub/fonts/6x13O.pf2
loadfont /boot/grub/fonts/6x13.pf2
loadfont /boot/grub/fonts/6x9.pf2
loadfont /boot/grub/fonts/7x13B.pf2
loadfont /boot/grub/fonts/7x13O.pf2
loadfont /boot/grub/fonts/7x13.pf2
loadfont /boot/grub/fonts/7x14B.pf2
loadfont /boot/grub/fonts/7x14.pf2
loadfont /boot/grub/fonts/8x13B.pf2
loadfont /boot/grub/fonts/8x13O.pf2
loadfont /boot/grub/fonts/8x13.pf2
loadfont /boot/grub/fonts/9x15B.pf2
loadfont /boot/grub/fonts/9x15.pf2
loadfont /boot/grub/fonts/9x18B.pf2
loadfont /boot/grub/fonts/9x18.pf2
loadfont /boot/grub/fonts/anorexia.pf2
loadfont /boot/grub/fonts/aqui.pf2
loadfont /boot/grub/fonts/clR6x12.pf2
loadfont /boot/grub/fonts/cure.pf2
loadfont /boot/grub/fonts/drift.pf2
loadfont /boot/grub/fonts/edges.pf2
loadfont /boot/grub/fonts/fkp.pf2
loadfont /boot/grub/fonts/gelly.pf2
loadfont /boot/grub/fonts/glisp-bold.pf2
loadfont /boot/grub/fonts/glisp.pf2
#loadfont /boot/grub/fonts/gnu-unifont-2008-04-06.pf2
loadfont /boot/grub/fonts/gnu-unifont-2008-04-06_tagged.pf2
#loadfont /boot/grub/fonts/unicode.pf2
#loadfont /boot/grub/fonts/ascii.pf2
loadfont /boot/grub/fonts/Helvetica-10.pf2
loadfont /boot/grub/fonts/Helvetica-12.pf2
loadfont /boot/grub/fonts/Helvetica-14.pf2
loadfont /boot/grub/fonts/Helvetica-18.pf2
loadfont /boot/grub/fonts/Helvetica-24.pf2
loadfont /boot/grub/fonts/Helvetica-8.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-10.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-12.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-14.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-18.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-24.pf2
loadfont /boot/grub/fonts/Helvetica-Bold-8.pf2
loadfont /boot/grub/fonts/kates.pf2
loadfont /boot/grub/fonts/lime.pf2
loadfont /boot/grub/fonts/mints-mild.pf2
loadfont /boot/grub/fonts/mints-strong.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-10.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-12.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-14.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-18.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-24.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-8.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-10.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-12.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-14.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-18.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-24.pf2
loadfont /boot/grub/fonts/New_Century_Schoolbook-Bold-8.pf2
loadfont /boot/grub/fonts/nu.pf2
loadfont /boot/grub/fonts/smoothansi.pf2
loadfont /boot/grub/fonts/snap.pf2
